	.include	"ZELDA_E.h"
;----------------------------------------------------------
softenve_table:
	dw	softenve_0,softenve_1,softenve_2,softenve_3
	dw	softenve_4,softenve_5,softenve_6,softenve_7
softenve_lp_table:
	dw	softenve_lp_0,softenve_lp_1,softenve_lp_2
	dw	softenve_lp_3,softenve_lp_4,softenve_lp_5
	dw	softenve_lp_6,softenve_lp_7
;---------------
softenve_0:
	db	$0e,$0e
	db	$06,$06,$05,$05,$04,$04,$03,$03
softenve_lp_0:
	db	$00,$ff						;melo
;---------------
softenve_1:
	db	$04
softenve_lp_1:
	db	$01,$04,$01,$04,$ff
;---------------
softenve_2:
	db	$02,$04,$06,$08,$0a,$09,$08,$07
softenve_lp_2:
	db	$06,$ff
;---------------
softenve_3:
	db	$0f,$0f
	db	$0a,$0a,$0a,$09,$09,$09,$08,$08,$08,$07,$07,$07
softenve_lp_3:
	db	$04,$ff						;bass
;---------------
softenve_4:
	db	$08,$09,$0a,$0b,$0c,$0d,$0e,$0f,$0f,$0e,$0d,$0d,$0d,$0d,$0d,$0d
	db	$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c
	db	$0b,$0b,$0b,$0b,$0b,$0b,$0b,$0b,$0a,$0a,$0a,$0a,$0a,$0a,$0a,$0a
	db	$09,$09,$09,$09,$09,$09,$09,$09,$08,$08,$08,$08,$08,$08,$08,$08
softenve_lp_4:
	db	$07,$ff						;melo2
;---------------
softenve_5:
	db	$06,$04,$02,$01
softenve_lp_5:
	db	$00,$ff						;hi-hat
;---------------
softenve_6:
	db	$10,$0f,$0e,$0d,$0c,$0b,$0a
softenve_lp_6:
	db	$08,$ff						;snare
;---------------
softenve_7:
	db	$03,$03
	db	$02,$02,$02,$02,$02,$02,$02,$02,$02,$02,$02
	db	$01,$01,$01,$01,$01,$01,$01,$01,$01,$01,$01

softenve_lp_7:
	db	$00,$ff						;melo
;----------------------------------------------------------
pitchenve_table:
	dw	pitchenve_0,pitchenve_1,pitchenve_2,pitchenve_3
pitchenve_lp_table:
	dw	pitchenve_lp_0,pitchenve_lp_1,pitchenve_lp_2,pitchenve_lp_3
;---------------
pitchenve_0:
	db	$00
pitchenve_lp_0:
	db	$00,$82,$00,$82,$00,$02,$00,$02,$ff
;---------------
pitchenve_1:
	db	$10,$84,$84,$84,$84
pitchenve_lp_1:
	db	$00,$ff
;---------------
pitchenve_2:
pitchenve_lp_2
	db	$0d,$ff
;---------------
pitchenve_3:
pitchenve_lp_3:
	db	$0d,$ff
;----------------------------------------------------------
dutyenve_table:
	dw	dutyenve_0,dutyenve_1,dutyenve_2,dutyenve_3
dutyenve_lp_table:
	dw	dutyenve_lp_0,dutyenve_lp_1,dutyenve_lp_2,dutyenve_lp_3
;---------------
dutyenve_0:
	db	$07,$07
dutyenve_lp_0:
	db	$03,$ff
;---------------
dutyenve_1:
dutyenve_lp_1:
	db	$03,$07,$ff				;Bass
;---------------
dutyenve_2:
dutyenve_lp_2:
	db	$0d,$ff
;---------------
dutyenve_3:
dutyenve_lp_3:
	db	$0d,$ff
;----------------------------------------------------------
lfo_data:
;		  +-------- LFOJn܂ł̎ԁit[j
;		  l   +----- œʁij
;		  l@ l   +- g`]܂œ񐔁ij
;		  l   l   l   +- LFOJntOi$40㏸@$00~j
;		  l   l   l   l
	db	$20,$01,$02,$40	;0
	db	$30,$01,$02,$40	;1
	db	$20,$01,$03,$00	;2
	db	$30,$01,$03,$00	;3
	db	$40,$01,$03,$00	;4
;----------------------------------------------------------
arpeggio_table:
	dw	arpeggio_0,arpeggio_1,arpeggio_2,arpeggio_3
arpeggio_lp_table
	dw	arpeggio_lp_0,arpeggio_lp_1,arpeggio_lp_2,arpeggio_lp_3
;---------------
arpeggio_0:
	db	$00,00,00,00,00
arpeggio_lp_0:
	db	$0b,$8b,$8b,$0b,$ff
;---------------
arpeggio_1:
arpeggio_lp_1:
	db	$00,$00,$00,$01,$00,$01,$00,$00,$00,$81,$00,$81,$ff
;---------------
arpeggio_2:
arpeggio_lp_2
	db	$0d,$ff
;---------------
arpeggio_3:
arpeggio_lp_3:
	db	$0d,$ff
;----------------------------------------------------------
fds_data_table:
	dw	fds_wave_data_0,fds_wave_data_1,fds_wave_data_2,fds_wave_data_3
fds_wave_data_0:
	db	$3f,$3e,$3d,$3b,$39,$36,$33,$2f,$29,$22,$19,$0e,$00,$28,$3f,$35
	db	$37,$3b,$3d,$3d,$3a,$3f,$38,$32,$2d,$28,$2a,$25,$2a,$25,$2a,$30
	db	$00,$3f,$00,$30,$00,$3f,$38,$3f,$38,$3d,$3c,$3c,$38,$36,$3b,$36
	db	$38,$35,$39,$33,$30,$2a,$24,$1e,$19,$14,$0f,$0c,$07,$04,$00,$00
fds_wave_data_1:
	db	$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f
	db	$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f
	db	$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	db	$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20;50%ۂ
fds_wave_data_2:
	db	$21,$23,$25,$27,$29,$2b,$2d,$2f,$31,$33,$35,$37,$39,$3b,$3d,$3f
	db	$3f,$3d,$3b,$39,$37,$35,$33,$31,$2f,$2d,$2b,$29,$27,$25,$23,$21
	db	$1f,$1d,$1b,$19,$17,$15,$13,$11,$0f,$0d,$0b,$09,$07,$05,$03,$01
	db	$01,$03,$05,$07,$09,$0b,$0d,$0f,$11,$13,$15,$17,$19,$1b,$1d,$1f;triangleۂ
fds_wave_data_3:
	db	$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f
	db	$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	db	$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	db	$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20;25%ۂ
;----------------------------------------------------------
;		 ++------- playback mode select
;		 ll  ++++- DMC frequency control
;		 ll  llll   ++++++-- the load inputs of the internal delta counter
dpcm_data:	;ll  llll   llllll+- LSB of the DAC
;		 llxxllll  xlllllll
;		%00001111,%00000000,$c0,$2a
;				      l   l
;				      l   +- DMA length register  ($4013 * 16 )
;				      +- DMA address load register($4012 * 64 + 0C000H)
;								  ($FFFF to $C000? or $8000?)

; o2
	db	$00,$00,$00,$00 ; c
	db	$00,$00,$00,$00 ; c+
	db	$0f,$00,$54,$50 ; d	kick+snare
	db	$00,$00,$00,$00 ; d+
	db	$00,$00,$00,$00 ; e
	db	$00,$00,$00,$00 ; f
	db	$00,$00,$00,$00 ; f+
	db	$00,$00,$00,$00 ; g
	db	$00,$00,$00,$00 ; g+
	db	$0f,$00,$80,$50 ; a	kick+tom2
	db	$00,$00,$00,$00 ; a+
	db	$0f,$00,$68,$50 ; b	kick+tom1

	db	0,0,0,0, 0,0,0,0, 0,0,0,0, 0,0,0,0
; o3
	db	$0f,$00,$00,$50	; c	kick
	db	$0f,$00,$00,$00	; c+
	db	$0f,$00,$14,$50	; d	snare
	db	$00,$00,$00,$00 ; d+
	db	$00,$00,$00,$00 ; e
	db	$0c,$00,$28,$b0	; f	tom 4
	db	$00,$00,$00,$00 ; f+
	db	$0d,$00,$28,$b0	; g	tom 3
	db	$00,$00,$00,$00 ; g+
	db	$0e,$00,$28,$b0	; a	tom 2
	db	$0f,$00,$00,$00	; a+
	db	$0f,$00,$28,$b0	; b	tom 1
;----------------------------------------------------------
;	.bank	2
;	.org	$c080
;	.incbin		"kick.bin"		; kick
;	.org	$c580
;	.incbin		"ertc4908.bin"		; snare
;	.org	$ca80
;	.incbin		"ertc5105+12.bin"	; tom1
;	.org	$d580
;	.incbin		"kick_ertc4908.bin"	; kick+snare
;	.org	$da80
;	.incbin		"kick_ertc5105+12.bin"	; kick+tom1
;	.org	$e080
;	.incbin		"kick_ertc5105+9.bin"	; kick+tom2
